import { computed } from 'vue';
import { $t } from '@/plugins/i18n';
import { ElTag } from 'element-plus';

/** 是否默认 */
export const isDefaultOptions = [
	{ value: true, label: $t('yes') },
	{ value: false, label: $t('no') },
];

/** 是否显示 */
export const isDefaultVisibleOptions = [
	{ value: true, label: '显示' },
	{ value: false, label: '不显示' },
];

/** 性别 */
export const sexConstant = [
	{ value: 1, label: '男' },
	{ value: 0, label: '女' },
];

/** 默认状态 */
export const userStatus = [
	{ value: 0, label: '启用' },
	{ value: 1, label: '禁用' },
];

/** 是否启用状态 */
export const enabledOrNotStatus = [
	{ value: true, label: '启用' },
	{ value: false, label: '禁用' },
];

/** 是否已读 */
export const isReadStatus = [
	{ value: '', label: $t('all') },
	{ value: 'true', label: $t('readAlready') },
	{ value: 'false', label: $t('unread') },
];

/** 是支出还是收入 */
export const incomeOrExpend = [
	{ value: 1, label: $t('income') },
	{ value: -1, label: $t('expend') },
];

// 预算状态类型
export const budgetStateType = [
	{
		value: 'InProgress',
		label: $t('inProgress'),
		el: (
			<ElTag type={'primary'} effect={'plain'}>
				{$t('inProgress')}
			</ElTag>
		),
	},
	{
		value: 'Completed',
		label: $t('completed'),
		el: (
			<ElTag type={'success'} effect={'plain'}>
				{$t('completed')}
			</ElTag>
		),
	},
	{
		value: 'OverSpending',
		label: $t('overSpending'),
		el: (
			<ElTag type={'danger'} effect={'plain'}>
				{$t('overSpending')}
			</ElTag>
		),
	},
	{
		value: 'NotStarted',
		label: $t('notStarted'),
		el: (
			<ElTag type={'warning'} effect={'plain'}>
				{$t('notStarted')}
			</ElTag>
		),
	},
	{
		value: 'Pause',
		label: $t('pause'),
		el: (
			<ElTag type={'warning'} effect={'plain'}>
				{$t('pause')}
			</ElTag>
		),
	},
	{
		value: 'Cancel',
		label: $t('cancel'),
		el: (
			<ElTag type={'info'} effect={'plain'}>
				{$t('cancel')}
			</ElTag>
		),
	},
];

/** 分页默认数组个数 */
export const pageSizes: number[] = [15, 30, 50, 100, 150];
export const tableSelectButtonClass = computed(() => ['!h-[20px]', 'reset-margin', '!text-gray-500', 'dark:!text-white', 'dark:hover:!text-primary']);
// export const UserAvatar = 'http://116.196.101.14:9000/auth-admin/avatar/user.jpg';
export const UserAvatar =
	'https://thirdwx.qlogo.cn/mmopen/vi_32/DYAIOgq83eoj0hHXhgJNOTSOFsS4uZs8x1ConecaVOB8eIl115xmJZcT4oCicvia7wMEufibKtTLqiaJeanU2Lpg3w/132';
